package formules;import fr.ifremer.isisfish.entities.*;import org.codelutin.math.matrix.*;import fr.ifremer.isisfish.types.Date;import fr.ifremer.isisfish.types.Month;import fr.ifremer.isisfish.types.RangeOfValues;import fr.ifremer.isisfish.types.TimeUnit;import java.util.*;public class fr_ifremer_isisfish_entities_Equation_1175514899342_0_8216999096390336 implements fr.ifremer.isisfish.equation.PopulationMeanWeight {public double compute(fr.ifremer.isisfish.simulator.SimulationContext context, fr.ifremer.isisfish.entities.PopulationGroup group) throws Exception {if (group == null) return 0;
  switch (group.getId()) {
    case 6: return 0.4219;
    case 2: return 0.0602;
    case 0: return 0.0095;
    case 4: return 0.2062;
    case 3: return 0.1226;
    case 1: return 0.0292;
    case 7: return 1.5521;
    case 5: return 0.3074;
    default: return 0;
  }

}
}
